meshDir = 'D://Dropbox/TeethData/PNAS/Processed_HecateSettings/';
clear h
load([meshDir 'x23.mat']); G1=G; obLmk1 = G1.Aux.ObserverLmks;
load([meshDir 'B03.mat']); G2=G; obLmk2 = G2.Aux.ObserverLmks;

figure; hold on;
cube = colorcube(22);

h(1) = subplot(1,2,1);
G1.draw; hold on; 
scatter3(G1.V(1,obLmk1),G1.V(2,obLmk1),G1.V(3,obLmk1),200,cube(1:18,:),'filled');

h(2) = subplot(1,2,2);
G2.draw; hold on; 
scatter3(G2.V(1,obLmk2),G2.V(2,obLmk2),G2.V(3,obLmk2),200,cube(1:18,:),'filled');

Link = linkprop(h, {'CameraUpVector','CameraPosition', 'CameraTarget', 'CameraViewAngle'});